<?php
	// Quelle: http:/www-coding.de/rss-feed-import-mit-php/ //
	
	// Falls du auch UTF-8 verwendest: //
	header("Content-Type: text/html; charset=utf-8");
	
	// Einbinden der Datei //
	require_once 'RSSImport.class.php';
	
	// Feed importieren, hier kannst Du auch eine URL angeben //
	$feed = new RSSImport('feed.xml');
	
	if ($feed) {
		// Info anzeigen, getFeedInfo ohne Parameter gibt ein Array aller Infos aus //
		echo "<h1>".$feed -> getFeedInfo('title')."</h1>" .
				"<p><a href=\"".$feed -> getFeedInfo('link')."\">Zum Blog</a></p>";
			
		// Inhalte anzeigen //
		$items = $feed -> getItems();	
	
		foreach ($items AS $item) {
			echo "<h2>".$item['title']."</h2>" .
					"<p>Veröffentlicht am ".date('d.m.Y H:i', $item['published'])."<br />" .
					"<a href=\"".$item['link']."\">Artikel aufrufen</a></p>" .
					"<p>".$item['content']."</p>";	
		}
	}
	
?>
